Subject: Roles and actors was: Comments on LTANS documents

From: Peter Sylvester <[email-masked]>
Date: Sat, 31 Jul 2004 12:43:23 +0200 (MEST)

Thanks for the comments. Very useful. 

I think we need to clarify some of the possible roles and actors
or mention some important use cases. 

I had started a reply some time ago, so I am a little bit out
of sync with the additional remarks from Larry and Jeff.
>
> >>As far as the WHO is concerned, there are:
> >>
> >>    1) the person or the application who did the deposit,
> >>
> >>    2) the persons or the applications allowed to retrieve the data
> >>       (not necessarily the same as 1))
> >>
> >>    3) the persons or the applications wishing to make sure that
> >>       some data originates from a given Archiving Unit (Arch-Unit)
> >>       under the responsibility of a given Archiving Authority
> >>       (Arch-A) and has been stored by it at a given point of time.
> > 
> > 
> > Could you write this a little bit simpler for me, I am not sure 
> > whether I understand the second line of point 3. Is this a relying party
> > which 1) has to convince that some required archiving had been done?  
> 
> The players are similiar to the players in the signature game:
> 1 someone signs a document
> 2 someone receives the signed document
> 3 someone validates the signature of the document
> 
> Answering your question:
> No, the relying party must not necessarily convinced by 1, and it may be
> not sufficient to convince 3 that the archiving was done.
> The target may be the fact of archiving but also the content archived or
> the time of archiving.

To me the situation is a little more complex as with a signed document
since you have data, an attestation from an archiver, and the possiblities
or need to verify some data against the attestation, or to retrieve them.

> > I think there is some overlap with the existing players mentioned
> > as Arbitrator, Submitter, Retriever, Originator. And there may be
> > others, judge, software provider, operator, configurator, system maintainer, ...
> 
> I guess that the three roles Denis mentioned are a good starting point.
> Do you think that there are other important roles?

The reqs already list different roles. 

To what degree does a very detailed list of roles/actors matter
to definition of the service? At least, it is good for the common
understanding of the problem space. 

A rough idea of the service:

Someone submits and eventually(=after a short time) gets some attestation
that convinces (not only the submitter) that some data have been stored
and can be retrieved, and that destruction will be difficult and not undetected,
except in nuc war where we don't really care at all anymore about our
little security problems anyway.

Peter